# JSXGraph Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

## Elements

- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- Circumcirclesector
- Conic
- Curve
- Ellipse
- Functiongraph
- Glider
- Grid
- Hyperbola
- Image
- Incenter
- Incircle
- Integral
- Intersection
- Line
- Locus
- Midpoint
- Mirrorpoint
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelpoint
- Perpendicular
- Perpendicularpoint
- Point
- Polygon
- Reflection
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Tangent
- Text
- Ticks
- Tracecurve

## Classes

- _global_
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.C
- JXG.CanvasRenderer
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.Curve
- JXG.Dump
- JXG.GeometryElement
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Line
- JXG.Math
- JXG.Math.Geometry
- JXG.Math.Numerics
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.Point
- JXG.Polygon
- JXG.Server
- JXG.Server.modules
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Turtle
- JXG.Util
- JXG.VMLRenderer

# Element CircumcircleArc

JXG.GeometryElement
↳ JXG.Curve
↳ Curve
↳ Arc
↳ CircumcircleArc

A circumcircle arc is an Arc defined by three points. All three points lie on the arc.
Defined in: Arc.js.
Extends Arc.

Element Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| CircumcircleArc

Field Summary
Field Attributes | Field Name and Description
--- | ---
| center The midpoint of the circumcircle of the three points defining the circumcircle arc.

Element Detail
CircumcircleArc

This element has no direct constructor. To create an instance of this element you have to call JXG.Board#create with type "circumcirclearc".
Possible parent array combinations are:
{JXG.Point} p1
{JXG.Point} p2
{JXG.Point} p3
  The result will be a composition of an arc of the circumcircle of `p1`, `p2`, and `p3` and the midpoint of the circumcircle of the three points. The arc is drawn counter-clockwise from `p1` over `p2` to `p3`.

Throws:
{Error}
  If the element cannot be constructed with the given parent objects an exception is thrown.

Examples:

    // Create a circum circle arc out of three free points
    var p1 = board.create('point', [2.0, 2.0]);
    var p2 = board.create('point', [1.0, 0.5]);
    var p3 = board.create('point', [3.5, 1.0]);

    var a = board.create('arc', [p1, p2, p3]);

Field Detail
{Circumcenter} center
The midpoint of the circumcircle of the three points defining the circumcircle arc.

Attributes borrowed from other Elements

Attributes borrowed from class JXG.Curve:
  curveType, handDrawing
Attributes borrowed from class JXG.GeometryElement:
  dash, draft, fillColor, fillOpacity, fixed, frozen, highlight, highlightFillColor, highlightFillOpacity, highlightStrokeColor, highlightStrokeOpacity, highlightStrokeWidth, needsRegularUpdate, shadow, strokeColor, strokeOpacity, strokeWidth, trace, traceAttributes, visible, withLabel

Fields borrowed from other Elements

Fields borrowed from class Arc:
  anglepoint, radiuspoint
Fields borrowed from class JXG.Curve:
  numberPoints
Fields borrowed from class JXG.GeometryElement:
  addEvent, ancestors, baseElement, board, childElements, descendants, dump, elementClass, elType, eventHandlers, getAttribute, hasLabel, highlighted, id, isDraggable, isReal, methodMap, mouseover, name, needsUpdate, notExistingParents, numTraces, quadraticform, removeEvent, stdform, subs, symbolic, traces, transformations, type, visProp

Methods borrowed from other Elements

Methods borrowed from class Arc:
  getRadius, hasPointSector, Radius
Methods borrowed from class JXG.Curve:
  addTransform, allocatePoints, generateTerm, hasPoint, isDistOK, isSegmentOutside, maxX, minX, notifyParents, setPosition, update, updateCurve, updateDataArray, updateParametricCurve, updateParametricCurveNaive, updateRenderer, updateTransform, X, Y, Z
Methods borrowed from class JXG.GeometryElement:
  _set, addChild, addDescendants, animate, bounds, clearTrace, cloneToBackground, countChildren, createGradient, createLabel, draggable, generatePolynomial, getAttributes, getLabelAnchor, getName, getParents, getProperty, getTextAnchor, getType, hideElement, labelColor, noHighlight, normalize, off, on, prepareUpdate, remove, resolveShortcuts, setArrow, setAttribute, setDash, setLabelText, setProperty, setStraight, showElement, triggerEventHandlers

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Apr 02 2012 17:54:00 GMT+0200 (MESZ)